com.dlsc.flexgantt.swing

## Interface IMessage

- All Known Subinterfaces:
    IRelationshipMessage, ITimelineObjectPathMessage, ITreePathMessage
  All Known Implementing Classes:
    ConstraintViolationMessage, Message, RelationshipMessage, TimelineObjectPathMessage, TreePathMessage

      public interface IMessage

  A message can be added to a Gantt chart to display information, warnings or errors.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann
  See Also:
    `AbstractGanttChart.addMessage(IMessage)`, `IMessageListener`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getMessageDetails()` Returns an object that contains some more details about the message.
    `String` | `getMessageText()` Returns the text that will be displayed to the user.
    `Date` | `getMessageTime()` Returns the time stamp when the message occured.
    `MessageTypeId` | `getMessageTypeId()` Returns the type of the message (information, warning, error).

- - ### Method Detail

    - #### getMessageTypeId

          MessageTypeId getMessageTypeId()

      Returns the type of the message (information, warning, error).
      Returns:
        the message type
      Since:
        1.0

    - #### getMessageText

          String getMessageText()

      Returns the text that will be displayed to the user.
      Returns:
        the text of the message
      Since:
        1.0

    - #### getMessageDetails

          Object getMessageDetails()

      Returns an object that contains some more details about the message. This could for example be a `Throwable`. The return type is this generic in order to support different kinds of detailed information in the future that can not be foreseen, yet.
      Returns:
        detailed information about the message
      Since:
        1.0

    - #### getMessageTime

          Date getMessageTime()

      Returns the time stamp when the message occured.
      Returns:
        the message's time stamp
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.